procps (2:4.0.4-9.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 31 Jul 2025 18:58:54 +0300

procps (2:4.0.4-9) unstable; urgency=medium

  [ Craig Small ]
  * d/changelog: Fix number for skill bug

  [ Andrew Bower ]
  * Initialise sessions variable in w. (Closes: #1108549)
  * d/patches: get sessions even if !sd_booted()

 -- Craig Small <csmall@debian.org>  Wed, 30 Jul 2025 21:58:40 +1000

procps (2:4.0.4-8) unstable; urgency=medium

  * Port 4.0.5 patches:
    - library: recover from meminfo seek in LXC Closes: #1072831
    - library: print user/day when value is zero
    - library: Use clock_gettime for pids API Closes: #842879
    - kill: Correctly parse negative pids
    - sysctl: Don't read some keys Closes: #978688
    - skill: Fix lonesome : in help Closes: #1086641
    - sysctl.conf.5 Note changes with systemd Closes: #1077187
    - vmstat.8: si/so are changed by --unit Closes: #1061944
    - w: Don't crash with short option Closes: #1054345
    - w: Only count user sessions Closes: #1098385
    - w.1: Mention utmp only for non-systemd Closes: #1080333
    - watch.1: --chgexit only on visible changes Closes: #729569
  * Port 4.0.6 patches:
    - w: Add terminal mode -t option
    - w: Use process TTY for user TTY Closes: #1080335

 -- Craig Small <csmall@debian.org>  Mon, 14 Apr 2025 18:06:27 +1000

procps (2:4.0.4-7) unstable; urgency=medium

  [ Ben Hutchings ]
  * Add file trigger on /usr/lib/sysctl.d to apply new configuration
    Closes: #1088203

  [ Craig Small ]
  * Updated watch file for GitLab api Closes: #1079806
  * Add rm_conffile for /etc/sysctl.conf Closes: #1085130
  * Update standards version to 4.7.0, no change
  * Update/Add patches metadata

 -- Craig Small <csmall@debian.org>  Tue, 10 Dec 2024 16:35:44 +1100

procps (2:4.0.4-6) unstable; urgency=medium

  * Remove old conffile sysctl.conf Closes: #1076352
  * Fixed vmstat regex, thanks Paul! Closes: #1072533

 -- Craig Small <csmall@debian.org>  Mon, 30 Sep 2024 07:24:54 +1000

procps (2:4.0.4-5) unstable; urgency=medium

  * Add Recommends: linux-sysctl-defaults Closes: #1074156
  * Remove /etc/sysctl.conf as using /etc/sysctl.d/*.conf is better
  * Updated /etc/sysctld.d/README
  * Remove maintscript as these are very old files
  * Remove old Breaks control:
     guymager <= 0.5.9 : stable is 0.8.13
     open-vm-tools <= 2011 : stable uses a epoch
  * Remove libsystemd-dev build-dep version  >= 209 : stable is 252

 -- Craig Small <csmall@debian.org>  Thu, 11 Jul 2024 18:41:23 +1000

procps (2:4.0.4-4) unstable; urgency=medium

  * Moved into unstable

 -- Craig Small <csmall@debian.org>  Sun, 28 Jan 2024 21:15:10 +1100

procps (2:4.0.4-3) experimental; urgency=medium

  * Move files to /usr for DEP17. (Closes: #1059817)
  * Placed into experimental

 -- Craig Small <csmall@debian.org>  Tue, 02 Jan 2024 19:33:53 +1100

procps (2:4.0.4-2) unstable; urgency=medium

  * Loosen regex and check file perms in pmap test Closes: #1052034
  * pkgtest: Update vmstat check
  * Skip pmap -X/XX PID PID check as flakey on buildds

 -- Craig Small <csmall@debian.org>  Mon, 09 Oct 2023 17:02:52 +1100

procps (2:4.0.4-1) unstable; urgency=medium

  * New upstream release
    - ps: Fix buffer overflow in -C option CVE-2023-4016 Closes: #1042887
    - library: Refactor the escape code Closes: #1035649
    - pgrep: Use only --signal option for signal Closes: #1031765
    - pgrep: suppress >15 warning if using regex Closes: #1037450
    - ps: fixed missing or corrupted fields with -m option Closes: #1036631
    - free: New -L option for one line output
    - ps: New --signames options to show signal names
  * watch: Color support turned on by default use -C to turn off
  * Remove redundant lines from sysctl.conf Closes: #968711

 -- Craig Small <csmall@debian.org>  Thu, 07 Sep 2023 21:31:09 +1000

procps (2:4.0.3-1) unstable; urgency=medium

  * New upstream release
    - docs: Translated manpages installed
    - pgrep: make --terminal respect other criteria
    - ps: c flag shows command name again Closes: #1026326
    - skill: Match on -p again Closes: #1025915
    - vmstat: Referesh memory statistics Closes: #1027963
    - vmstat: Fix initial si,so,bi,bo,in & cs values Closes: #668580
  * Update standards version
  * Improve cross-building Closes: #1031343

 -- Craig Small <csmall@debian.org>  Sat, 18 Feb 2023 10:17:15 +1100

procps (2:4.0.2-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the Debian menu file: (Closes: #192635)
    - the Debian menu is deprecated for some years already
    - the menu item does not have an icon
    - the menu item is for a terminal, and generally GUI environments have their
      own process listing application

  [ Craig Small ]
  * ps: correct BSD c option Closes: #1026326
  * skill: fix -p option Closes: #1025915

 -- Craig Small <csmall@debian.org>  Mon, 19 Dec 2022 17:06:38 +1100

procps (2:4.0.2-2) unstable; urgency=medium

  * Fix test_pids test Closes: #1025495
  * Don't install english manpages everywhere Closes: #1025506
  * Install non-english manpages too

 -- Craig Small <csmall@debian.org>  Tue, 06 Dec 2022 23:12:37 +1100

procps (2:4.0.2-1) unstable; urgency=medium

  * New libproc2 library moved into sid
    library: total new API
    free: Used field is now Total - Available
    free: Added Comitted memory option
    pgrep: -A to ignore ancestors
    pgrep: Can select version 2 cgroup paths
    ps: many new fields
    sysctl: Support systemd glob patterns
    sysctl: Check resolved path is under /proc/sys
    top: many new fields
    top: extra wide views for CPU and memory stats
    top: bottom window to display supplementary data

 -- Craig Small <csmall@debian.org>  Mon, 05 Dec 2022 21:59:09 +1100

procps (2:4.0.1-1) experimental; urgency=medium
 
  * New upstream release to experimental
 
 -- Craig Small <csmall@debian.org>  Thu, 20 Oct 2022 21:59:06 +1100

procps (2:4.0.1~rc3-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Drop the Debian menu file: (Closes: #192635)
    - the Debian menu is deprecated for some years already
    - the menu item does not have an icon
    - the menu item is for a terminal, and generally GUI environments have their
      own process listing application

  [ Craig Small ]
  * New upstream release
  * Re-renamed library, last time!

 -- Craig Small <csmall@debian.org>  Sun, 16 Oct 2022 20:22:07 +1100

procps (2:4.0.0-1) experimental; urgency=medium

  * New upstream release
  * Library renamed and API changed
  * Uploaded to experimental

 -- Craig Small <csmall@debian.org>  Tue, 22 Mar 2022 22:12:54 +1100

procps (2:3.3.17-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * remove dependency on lsb-base Closes: #1020602

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 20 Oct 2022 10:38:33 +0200

procps (2:3.3.17-7) unstable; urgency=medium

  * Update to Debian standards 4.6.0
  * Correct patch test_proc_siginfo Closes: #987557 again
  * Install locale files for kfreebsd Closes: #1005285
  * kill: Correctly handle negative pids Closes: #1005376
  * pidwait: Check correct name for program Closes: #1006395
  * Remove ancient unrequired preinst script Closes: #1005392

 -- Craig Small <csmall@debian.org>  Mon, 07 Mar 2022 22:05:15 +1100

procps (2:3.3.17-6) unstable; urgency=medium

  * Add reload option for init script Closes: #991151
  * Follow naming convention for systemd files debian/procps!3 Closes:
    #1000908
  * Fix FBTFS on Hurd Closes: #987557

 -- Craig Small <csmall@debian.org>  Thu, 13 Jan 2022 19:46:59 +1100

procps (2:3.3.17-5) unstable; urgency=medium

  * Add break/replace for conflicting manpages-fr-extra Closes: #986276

 -- Craig Small <csmall@debian.org>  Tue, 06 Apr 2021 17:17:53 +1000

procps (2:3.3.17-4) unstable; urgency=medium

  * Remove w alternative in postinst Closes: #982803

 -- Craig Small <csmall@debian.org>  Mon, 15 Feb 2021 20:50:26 +1100

procps (2:3.3.17-3) unstable; urgency=medium

  * Install language files Closes: #982437
  * Add epoch to manpages-pl Replaces/Breaks Closes: #982566
  * Remove conflict with w-bassman as removed in 2010
  * Remove w alternative as there is no alternative Closes: #982440
  * Update to debhelper 13
  * d/control: Remove conflict from non-existent pgrep package

 -- Craig Small <csmall@debian.org>  Sun, 14 Feb 2021 20:57:10 +1100

procps (2:3.3.17-2) unstable; urgency=medium

  * Rename pwait to pidwait Closes: #982391
  * Mark autopkgtest as superficial Closes: #974459
  * Actually install the translated manpages Closes: #953743

 -- Craig Small <csmall@debian.org>  Wed, 10 Feb 2021 22:49:00 +1100

procps (2:3.3.17-1) unstable; urgency=medium

  * New upstream source
    - sysctl: Match systemd directory order Closes: #950788
    - sysctl: Document directory order Closes: #951550
    - top: ensure config file backward compatibility Closes: #951335

 -- Craig Small <csmall@debian.org>  Tue, 09 Feb 2021 21:50:10 +1100

procps (2:3.3.16-5) unstable; urgency=medium

  * programs report version correctly Closes: #960810
  * Add autopkgtests for version reporting

 -- Craig Small <csmall@debian.org>  Sun, 17 May 2020 09:45:41 +1000

procps (2:3.3.16-4) unstable; urgency=medium

  * Use correct package version on removing conffile Closes: #951293

 -- Craig Small <csmall@debian.org>  Tue, 10 Mar 2020 11:52:38 +1100

procps (2:3.3.16-3) unstable; urgency=medium

  * Revert move from /bin Closes: #952572
  * Fix typo in sysctl.conf Closes: #922525
  * Remove obsolete protect-links conffile Closes: #951293

 -- Craig Small <csmall@debian.org>  Thu, 27 Feb 2020 09:05:44 +1100

procps (2:3.3.16-2) unstable; urgency=medium

  * Fix symlink to new soname Closes: #951494
  * top: restore configuration file backward compatibility Closes:
    #951335
  * put remaining binaries in /bin in Linux under /usr/bin

 -- Craig Small <csmall@debian.org>  Tue, 25 Feb 2020 08:08:40 +1100

procps (2:3.3.16-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Craig Small ]
  * set sysctl protection for fifos and regular files Closes: #914859
  * New upstream release
    - docs: Use correct symbols for -h option in free.1 Closes: #898774
    - pgrep: Match on runstate Closes: #919381
    - snice: Fix matching on pid Closes: #903540
  * Move protect-links from /etc to /usr/lib Closes: #915797
  * Increment library package to libprocps8

 -- Craig Small <csmall@debian.org>  Fri, 07 Feb 2020 19:05:09 +1100

procps (2:3.3.15-2) unstable; urgency=medium

  * Fix link in libprocps-dev Closes: 900239
  * Fix typo in license Closes: #899346

 -- Craig Small <csmall@debian.org>  Thu, 31 May 2018 19:42:46 +1000

procps (2:3.3.15-1) unstable; urgency=medium

  * New upstream release Closes: #899170
  * library: Fix integer overflow and LPE in file2strvec   CVE-2018-1124
  * library: Use size_t for alloc functions                CVE-2018-1126
  * pgrep: Fix stack-based buffer overflow                 CVE-2018-1125
  * ps: Fix buffer overflow in output buffer, causing DOS  CVE-2018-1123
  * Command Name increased from 16 to 64 characters

 -- Craig Small <csmall@debian.org>  Sun, 20 May 2018 19:41:46 +1000

procps (2:3.3.14-1) unstable; urgency=medium

  * New upstream release
    - pgrep: Don't segfault on non match Closes: #894917
  * Fix init scripti, thanks GSR! Closes: #895005

 -- Craig Small <csmall@debian.org>  Tue, 10 Apr 2018 21:49:54 +1000

procps (2:3.3.13-1) unstable; urgency=medium

  * New upstream release
    - doc: Document I idle state in ps.1 and top.1 Closes: #886967
    - kill: -l space between name parses correctly Closes: #854407
    - library: don't use vm_min_free on non Linux Closes: #831396
    - library: don't use SIGPWR on FreeBSD Closes: #832148
    - pkill: Return 0 only if we can kill process Closes: #852758
    - ps: avoid eip/esp address truncations Closes: #846361
    - top: address a wishlist man page NLS suggestion Closes: #865689
    - watch: define HOST_NAME_MAX where not defined Closes: #830734
  * Update sysctl.conf sysrq key comments Closes: #882121
  * Update the init script to use new LSB features

 -- Craig Small <csmall@debian.org>  Mon, 02 Apr 2018 13:12:50 +1000

procps (2:3.3.12-4) unstable; urgency=medium

  * Add sysctl configuration file to protect hard and soft links
    This mitigates CVE-2017-18078 on non-Debian kernels Closes: #889098
  * Update Vcs to Salsa
  * Update notes about sysrq Closes: #882121
  * Update standards to 4.1.3

 -- Craig Small <csmall@debian.org>  Sat, 10 Feb 2018 10:59:11 +1100

procps (2:3.3.12-3) unstable; urgency=medium

  [ Sven Joachim <svenjoac@gmx.de> ]
  * fix install on Hurd. Closes: #831004
  * Fix path for kill on kfreebsd. Closes: #831348

  [ Craig Small ]
  * One additional hurd path change. Thanks to Svante Signell for patch
    Closes: #835624
  * Remove SIGPWR warning for FreeBSD. Thanks to Jon Boden for patch
    Closes: #832148

 -- Craig Small <csmall@debian.org>  Tue, 22 Nov 2016 22:04:54 +1100

procps (2:3.3.12-2) unstable; urgency=medium

  * Only have one installinit override, thanks Sven! Closes: #827423
  * Define HOST_NAME_MAX when not defined Closes: #830734
  * Remove strtod_nol tests Closes: #830733

 -- Craig Small <csmall@debian.org>  Wed, 13 Jul 2016 21:20:48 +1000

procps (2:3.3.12-1) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTBFS pass --host to configure Closes: #812394

  [ Craig Small ]
  * New upstream version
  - free: man document rewritten for shared Closes: #755233
  - free: interpret intervals in non-locale way Closes: #692113
  - library: find tty quicker Closes: #770215
  - kill: report error if cannot kill process Closes: #733172
  - ps: sort by cgroup Closes: #692279
  - ps: fallback to attr/current for context Closes: #786956
  - tests: conditionally add prctl Closes: #816237
  - tests: kill list signals can have + Closes: #762764
  - watch: better handling ANSI including esc[m Closes: #830313
  - watch: use locale-independent float Closes: #692113
  * Fix FTBFS for hurd Closes: #816237
  * Dropped initscript dependency Closes: #804966
  * Don't start procps on install Closes: #827423
  * Fix LSB init script patch from Guillem Closes: #823080
  * Update to standards 3.9.8

 -- Craig Small <csmall@debian.org>  Sun, 10 Jul 2016 17:39:28 +1000

procps (2:3.3.11-3) unstable; urgency=medium

  * New upstream source (from experimental)
    - pgrep: don't crash with -a -w flags Closes: #768190
    - pmap: print even with no smaps Closes: #775624
    - ps: sort by etimes Closes: #794619
    - w: work with smaller windows Closes: #183394
    - Use merged systemd library Closes: #791896
    - top: read rcfile Closes: #762928, #762947
    - vmstat: not crash if partition before disk
      Closes: #736628, #763795, #764590, #751297
    - free: -s without -c works Closes: #733758
    - pmap: fix integer overflow Closes: #789322
    - slabtop.1: Add space to NAME Closes: #786643
    - library: rename swap to slab for (un)reclaimable Closes: #694487
  * Add hardening flags Closes: #790124
  * Disable ps sched test Closes: #798438
  * Added mips64 and mips64el to numa-enabled arches Closes: #806704
  * Use slab reclaimable in main cached Closes: #799716
  * Fix typo in control Closes: #808596
  * Enable verbose build output for buildds
  * Remove wchan lookup in System.map Closes: #606284
  * Add commented out sysrq to sysctl.conf Closes: #694691
  * Add protectedhard/soft link to sysctl example Closes: #694692

 -- Craig Small <csmall@debian.org>  Sun, 03 Jan 2016 17:10:26 +1100

procps (2:3.3.10-4) unstable; urgency=medium

  * A proper patch for libsystemd Closes: #791896

 -- Craig Small <csmall@debian.org>  Sun, 06 Sep 2015 08:55:49 +1000

procps (2:3.3.10-3) unstable; urgency=medium

  * Change systemd libraries Closes: #791896

 -- Craig Small <csmall@debian.org>  Thu, 03 Sep 2015 20:50:00 +1000

procps (2:3.3.10-2) unstable; urgency=medium

  * libprocps4-dev: fixed symbolic link from .so.3 to .so.4 Closes:
    #762852
  * Removed mention of fork and update site url Closes: #766292
  * Update copyright to new format Closes: #732494

 -- Craig Small <csmall@debian.org>  Sun, 14 Jun 2015 15:00:30 +1000

procps (2:3.3.10-1) unstable; urgency=medium

  [ Craig Small ]
  * Back to upstream version 3.3.10
  * Added multi-arch: Same for libprocps4-dev Closes: #788386
  * Added --disable-modern-top See #762855
  * Update to standards 3.9.6 no change
  * Use dh-exec for multiarch dirs

  [ Laurent Bigonville ]
  * Enable systemd support, this allows ps to show to which slice or unit a
    process belong to.
  * Explictely enable selinux support

 -- Craig Small <csmall@debian.org>  Fri, 12 Jun 2015 23:05:21 +1000

procps (2:3.3.9-9) unstable; urgency=medium

  * pmap: output with unreadale /proc/1/smaps Closes: #775624

 -- Craig Small <csmall@debian.org>  Sat, 07 Mar 2015 08:11:15 +1100

procps (2:3.3.9-8) unstable; urgency=medium

  * Revert to 3.3.9 upstream for Jessie freeze

 -- Craig Small <csmall@debian.org>  Sun, 28 Sep 2014 09:44:44 +1000

procps (1:3.3.10-1) unstable; urgency=medium

  * New upstream source
    - sysctl --system loads default config file Closes: #732920
    - free considers slabs in displayed totals Closes: #565518

 -- Craig Small <csmall@debian.org>  Wed, 24 Sep 2014 22:37:52 +1000

procps (1:3.3.9-7) unstable; urgency=medium

  * Fix testsuite kill Closes: #754620, #725743

 -- Craig Small <csmall@debian.org>  Sun, 13 Jul 2014 22:47:30 +1000

procps (1:3.3.9-6) unstable; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * Run dh-autoreconf (build-dep on pkg-config fixes autoconf
    error). (Closes: #749547)
  * Add libnuma-dev as build-dep for ppc64el.

 -- Craig Small <csmall@debian.org>  Sun, 29 Jun 2014 00:16:17 +1000

procps (1:3.3.9-5) unstable; urgency=medium

  * Bypass vmstat -p test Closes: #743758

 -- Craig Small <csmall@debian.org>  Tue, 27 May 2014 21:00:01 +1000

procps (1:3.3.9-4) unstable; urgency=medium

  * top compiles with libc >= 2.18

 -- Craig Small <csmall@debian.org>  Fri, 28 Feb 2014 22:11:29 +1100

procps (1:3.3.9-3) unstable; urgency=medium

  * Brought patch for sysctl --system forward Closes: #732920

 -- Craig Small <csmall@debian.org>  Wed, 19 Feb 2014 22:11:50 +1100

procps (1:3.3.9-2) unstable; urgency=high

  * Fix /usr/lib/${DEB_HOST_MULTIARCH}/libprocps.so symlink:
    libprocps3 ships libprocps.so.3, not libprocps.so.1
    thanks for report and patch Bernd Zeimetz <bzed@debian.org>
    Closes: #734610
  * Update to standards 3.9.5 - no change
  * Removed update-rc.d params as we use headers now

 -- Craig Small <csmall@debian.org>  Fri, 10 Jan 2014 22:24:15 +1100

procps (1:3.3.9-1) unstable; urgency=medium

  * New upstream version
    -  watch interval capacity was increased Closes: #720445
    - pwdx no longer fails in a nonexistent locale Closes: #718766
    - top clarified summary area Mem/Swap stats Closes: #718670
    - top batch mode -w (width) abend fixed Closes: #721204
    - top man page removed 'Bd/Ed' mdoc macros Closes: #725713
    - Skip some tests if kill cannot be found Closes: #725743
    - Added stolen time to vmstat Closes: #695404
  * Update to standards 3.9.4 - no change

 -- Craig Small <csmall@debian.org>  Mon, 16 Dec 2013 21:56:39 +1100

procps (1:3.3.8-2) unstable; urgency=low

  * Fixed numa dependencies Closes: #711312
  * Removed some tests that choked pbuilder Closes: #710851

 -- Craig Small <csmall@debian.org>  Thu, 06 Jun 2013 22:10:37 +1000

procps (1:3.3.8-1) unstable; urgency=low

  * New upstream version
    - top.1 license changed Closes: #708967
    - top has NUMA support Now require libnuma-dev for building
    - top suspend crash fixed Closes: #706259
    - top %CPU and %MEM columns widths restored Closes: #707648
  * libprocps1-dev conflicts with libprocps0-dev Closes: 706920
  * init script uses --system Closes: #698888
  * Removed .la file installation

 -- Craig Small <csmall@debian.org>  Mon, 27 May 2013 21:25:22 +1000

procps (1:3.3.7-1) experimental; urgency=low

  * New upstream version
    -  top adds a powerful new filter feature wherein any
       window can include or exlude selected fields which
       contain specific values Closes: #682082, #682083
    - top user filtering with exclusion Closes: #682086
  * Removed nocheck to build options Closes: #699716
  * Minor typo in sysctl.conf fixed Closes: #698482

 -- Craig Small <csmall@debian.org>  Tue, 26 Mar 2013 22:11:49 +1100

procps (1:3.3.6-2) experimental; urgency=low

  * Experimental release
  * Has build-deps on dejagnu Closes: #699218

 -- Craig Small <csmall@debian.org>  Sat, 02 Feb 2013 18:09:45 +1100

procps (1:3.3.6-1) unstable; urgency=low

  * New upstream version
    - top has new inspect (Y key) feature that some program can be run against
      the selected PID
    - sysctl.8: format fix in synopsis Closes: #675848
    - Expose freeproc for libproc Closes: #681653
    - ps.1: format fix in notes Closes: #692170
    - Add -c count option to pkill Closes: #693783
    - vmstat occasional crashes fixed Closes: #677903
  * libprocps now in Section: libs Closes: #693647

 -- Craig Small <csmall@debian.org>  Tue, 01 Jan 2013 13:47:29 +1100

procps (1:3.3.5-1) unstable; urgency=low

  * New upstream version
  * Stop SIGFPE on vmstat at times Closes: #677903
  * Upstream took freebsd bug patch
  * Second re-release due to 3.3.4-2 required first

 -- Craig Small <csmall@debian.org>  Sun, 18 Nov 2012 08:24:51 +1100

procps (1:3.3.4-2) unstable; urgency=medium

  * Rolled back 3.3.4 API changes Closes: #692063, #691847

 -- Craig Small <csmall@debian.org>  Sun, 04 Nov 2012 22:49:06 +1100

procps (1:3.3.4-1) unstable; urgency=low

  * New upstream version
    * kill: takes negative pids again Closes: #688731
    * pgrep: -F doesnt need line feed Closes: #676709
    * ps: removed bogus ps bogus message Closes: #670592
    * watch: doesnt crash with wide characters Closes: #675069
    * pgrep: -a modifies output -f changes matches Closes: #526355
    * top: add major/minor page fault deltas Closes: #84992
    * ps: favor truncation of long names over POSIX/UNIX standard Closes:
      #598089
  * Added X-Start-Before to init script Closes: #676381

 -- Craig Small <csmall@debian.org>  Mon, 29 Oct 2012 22:12:08 +1100

procps (1:3.3.3-2) unstable; urgency=low

  * Fixes for kFreeBSD Closes: #674785
  * pgrep -u off by one fixed Closes: #676239

 -- Craig Small <csmall@debian.org>  Sun, 17 Jun 2012 17:58:55 +1000

procps (1:3.3.3-1) unstable; urgency=low

  * New upstream version
    - Changed labels of kB etc to KiB Closes: #662786
    - top supports hotplugged memory and cpus Closes: #351934, #459287
    - top %cpu not distorted when switch to/from threads Closes: #441166
    - top can read old toprc configuration files Closes: #651213, #651863
    - top supports input paste once again Closes: #663334
    - top -p avoids SEGV when pid doesn't exist Closes: 668335
    - pgrep.1 groff syntax fix Closes: #665425
    - sysctl .conf off-by-one error Closes: #669128
    - top forestview doesnt segfault Closes: #650864
    - skill: fix argument parsing regression Closes: #659038
    - sysctl: fix argument parsing regression Closes: #666181
    - watch: inform about optional argument for -d switch Closes: #597021
    - top.1: Fixed groff warnings Closes: #664015

  * Update to standard version 3.9.3 - no changes

 -- Craig Small <csmall@debian.org>  Sun, 20 May 2012 16:48:44 +1000

procps (1:3.3.2-3) unstable; urgency=low

  * Updated to debhelper compat level 9
  * DH9 uses harden build flags Closes: #656511
  * Added news entry about toprc file format change Closes: #651213

 -- Craig Small <csmall@debian.org>  Mon, 23 Jan 2012 22:28:38 +1100

procps (1:3.3.2-2) unstable; urgency=low

  * sysctl -p has no space, update init and man page Closes: #655685

 -- Craig Small <csmall@debian.org>  Fri, 13 Jan 2012 23:56:42 +1100

procps (1:3.3.2-1) unstable; urgency=low

  * New upstream version
  * libprocps split out into own package Closes: #651203, #651179
  * free -b uses long long variables Closes: #654368
  * w built with from on by default Closes: #651486
  * libproc symlink corrected Closes: #651117
  * Fixed install files for kfreebsd and hurd Closes: #652128
  * reload option added to init Closes: #628980

 -- Craig Small <csmall@debian.org>  Mon, 09 Jan 2012 22:44:38 +1100

procps (1:3.3.1-1) unstable; urgency=low

  * New upstream version
    - pgrep -u finds processes Closes: #649591
    - slabtop_once patch applied upstream
    - watch_8bitchar patch applied upstream
    - vmstat_part_format patch applied upstream
  * include correct libproc-ng.so symlink Closes: #650314, #638916, #651117

 -- Craig Small <csmall@debian.org>  Tue, 06 Dec 2011 21:51:15 +1100

procps (1:3.3.0-1) unstable; urgency=low

  * Forked upstream version from procps-ng
    - top fixed. Removed patches top_irix, top_stdin_eof,
        top_uid_length, top_c_resize, top_mintime,
        top_highlight, top_username
    - Manual pages updated: removed patches free.1, pmap.1,
         10_ps.1, skill.1, slabtop_1, sysctl.8, tload.1,
         uptime.1, vmstat.8, watch.1, kill.1, top.1,
         top.1_cpustates, w.1, pgrep.1, top_1_options,
         top_1_typos, top_1_flt_output, top_1_swap
    - New build system, remove patch module_mk_shared,
         library_map_freeproc, makefile_dev_null, makefile_include
    - kfreebsd patches applied to upstream
    - cgroup for ps Closes: #583745
  * Watch 8-bit temporary disabled
  * Added Multi-Arch: foreign to control Closes: #646834
  * Removed ancient conflicts on packages no longer in Debian
  * silently accepts status for init script Closes: #646250

 -- Craig Small <csmall@debian.org>  Mon, 21 Nov 2011 22:34:17 +1100

procps (1:3.2.8-11) unstable; urgency=low

  * No more complaints for 3.0 kernels Closes: #632749
  * vmstat truncated to 32bits Closes: #620557
  * Update to standards version 3.9.2

 -- Craig Small <csmall@debian.org>  Mon, 25 Jul 2011 22:20:41 +1000

procps (1:3.2.8-10) unstable; urgency=low

  * PATH_MAX fix for hurd Closes: #588677
  * Added sorting for mem% in ps Closes: #599043
  * Adjusted Makefile includes for make 3.82 Closes: #603759
  * Fixed minor typos in ps.1 Closes: #592116
  * Added RedHat patch procps-3.2.8-longcmd to stop truncated lines
  * cgroup added to ps.1 from RedHat patch ps_cgroup_display
  * Read system time from /proc/stat instead of calculating - From SuSE
    patch btime-from-proc-stat
  * imported RedHat patch top-clrscr so top clears screen when quitting
  * Updated to standards version 3.9.1

 -- Craig Small <csmall@debian.org>  Thu, 18 Nov 2010 22:37:56 +1100

procps (1:3.2.8-9) unstable; urgency=low

  * Fix for patch on cgroup crash Closes: #579824

 -- Craig Small <csmall@debian.org>  Sun, 02 May 2010 21:06:06 +1000

procps (1:3.2.8-8) unstable; urgency=low

  * Work-around for kfreebsd HZ problem Bug #460331
  * Added comments about ipv6 keys to README Closes: #507788
    ipv6 is compiled in by default so this impacts custom kernels only
  * Added note the ipv4/tcp* keys effect ipv6 too Closes: #571281
  * watch interprets ANSI color Closes: #129334
  * Fixed off by one for top -u username Closes: #571790
  * Document maj_flt and min_flt in ps.1 Closes: #434221

 -- Craig Small <csmall@debian.org>  Mon, 01 Mar 2010 12:37:06 +1100

procps (1:3.2.8-7) unstable; urgency=low

  * Adjusts skill_multiarg.patch so multiple args work Closes: #569030

 -- Craig Small <csmall@debian.org>  Wed, 10 Feb 2010 21:36:05 +1100

procps (1:3.2.8-6) unstable; urgency=low

  * Removed non-linux binaries from package Closes: #568255
  * Cleaned up some extra files not needed in hurd and kfreebsd
  * top handles numeric arguments better Closes: #358724
  * Explain what SWAP means in top.1 Closes: #217841
  * w makes better guesses at process Closes: #187808

 -- Craig Small <csmall@debian.org>  Fri, 05 Feb 2010 23:03:38 +1100

procps (1:3.2.8-5) unstable; urgency=low

  * Need both ncurses*-dev depends Closes: #568038

 -- Craig Small <csmall@debian.org>  Tue, 02 Feb 2010 14:21:46 +1100

procps (1:3.2.8-4) unstable; urgency=low

  * Build-depends on libncurses5w-dev Closes: #567783
  * Updated to standards 3.8.4
  * Changed priority to important See: #564504
  * Added Vcs-* fields to control

 -- Craig Small <csmall@debian.org>  Mon, 01 Feb 2010 13:53:43 +1100

procps (1:3.2.8-3) unstable; urgency=low

  * Changed source format to 3.0 quilt
  * rules file to new debhelper tiny format
  * some pid points set to null if status file cannot be read Closes: #550009
  * vmstat doesn't scale things that shouldn't Closes: #558134
  * Limit counter wrap with vmstat Closes: #558361
  * Adjusted rules file so wont build amd64 files on i386 Closes:
    #558089
  * Removed kernel.maps_protect from example file Closes: #554808
  * skill doesnt treat null param as 0 Closes: #551173
  * Reduced init.d verbosity Closes: #567704
  * Documented /etc/sysctl.d directory Closes: #551933
  * sysctl.conf warns about RAs ignored with ipv6 forwarding Closes:
    #545007
  * free -o better documented Closes: #526604
  * slabtop -o doesnt use ncurses slabtop_once patch Closes: #503089
  * libproc.so symlink in -dev package Closes: #306778
  * skill/snice option parsing fixed Closes: #331419
  * Forced libproc constructor order Closes: #460331
  * pmap -x prints RSS and dirty columns Closes: #347476, #505571

 -- Craig Small <csmall@debian.org>  Sun, 31 Jan 2010 18:31:08 +1100

procps (1:3.2.8-2) unstable; urgency=low

  * ps displays supplementary groups Closes: #506303
  * Updated to standards version 3.8.3
  * Removed setproctitle reference in ps.1 Closes: #529045
  * Fixed LGPL path in copyright Closes: 528814
  * Adjusted printk in sysctl suggestion Closes: #526855
  * Fixed package description Closes: #535954
  * Renamed second SZ to SIZE in ps Closes: #541061
  * Removed net options in sysctl.conf that are there by default Closes:
    #540186
  * Updated free.1 Closes: #534198
  * Fixed typo in NEWS.Debian Closes: #513381
  * Removed comment about window scaling in sysctl example Closes:
    #512764
  * ps.1 options sorted Closes: #518620
  * Added PROCPS_USERLEN environment variable to set username length in
    w Closes: #396423
  * Added PROCPS_FROMLEN environment variable to set from column width
    in w Closes: #341439
  * Adjusted column width for ps.1

 -- Craig Small <csmall@debian.org>  Mon, 05 Oct 2009 21:14:10 +1100

procps (1:3.2.8-1.2) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Avoid using /usr/bin/which in init.d script, to make sure it work
    before /usr/ is mounted (Closes: #548802).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 01 Oct 2009 11:30:03 +0200

procps (1:3.2.8-1.1) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Correct init.d script dependencies and depend on initscripts
    to make sure the required script dependencies are present
    (Closes: #546888).
  * Add depend on ${misc:Depends} some times used by debhelper.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Sep 2009 17:02:42 +0200

procps (1:3.2.8-1) unstable; urgency=low

  * New upstream release
  * Actually apply sort time patch Closes: #508435
  * Corrected 35_path_max patch Closes: #519331
  * fixed cumulative parameter in watch.1 Closes: #527193
  * Applied vmstat -p fix patch Closes: #526360

 -- Craig Small <csmall@debian.org>  Thu, 28 May 2009 17:34:22 +1000

procps (1:3.2.7-11) unstable; urgency=low

  * Reversed rules line so init.d is in everything except kfreebsd
    Closes: #511513

 -- Craig Small <csmall@debian.org>  Mon, 12 Jan 2009 08:48:53 +1100

procps (1:3.2.7-10) unstable; urgency=low

  * PATH_MAX problem fixed Closes: #496274
  * NOHZ patch appilied Closes: #495882
  * Added some extra comments about sysctl Closes: #495884
  * init script respects VERBOSE Closes: #495885
  * More ps sorting Closes: #508435
  * ps displays cgroups Closes: #469669
  * Added cross build support Closes: #451812
  * Added Hilko's fix for sysctl Closes: #511082
  * Applied Mortys watch exec patch, thankyou!!
    Closes: #225549, #155227, #420377, #481679,#410967
  * top UID length now increased to 5 Closes: #426782
  * init script not installed for kFreeBSD Closes: #502729
  * Fixed kernel.maps_protect entry in sysctl.conf Closes: #494655
  * D flag documented in man page Closes: #495987
  * w uses locale for centi-seconds Closes: #252575
  * Corrected w-bassman patch which made ALL times change and documented
    what the times mean in w.1 Closes: #414906
  * Changed dh_clean -k to dh_prep
  * Updated to debhelper 7
  * Replaced may in kill.1 Closes: #375739
  * Added precision wait time to watch Closes: #183486
  * top exits if it cannot read /proc Closes: #378695
  * Adjusted top.1 as CODE DATA fields were incorrect Closes: 267873
  * Added --errexit flag on watch to exit on command error Closes:
    #183346

 -- Craig Small <csmall@debian.org>  Sun, 11 Jan 2009 12:29:42 +1100

procps (1:3.2.7-9.1) unstable; urgency=low

  * NMU
  * Removes spuirous debug printf() that breaks other packages
    (Closes: #511082)

 -- Hilko Bengen <bengen@debian.org>  Wed, 07 Jan 2009 13:47:37 +0100

procps (1:3.2.7-9) unstable; urgency=low

  * Reverse order of sysctl file reads
  * Added sys.kernel.maps_protect option to syctl.conf Closes: #446466
  * Add up 7 cpu numbers Closes: 460331
  * Top closes when it gets EOF Closes: #458986, #416976
  * Fixed -a option processing Closes: #408608
  * Added German man page for w Closes: #390225
  * Updated to standards version 3.8.0

 -- Craig Small <csmall@debian.org>  Sun, 10 Aug 2008 11:49:12 +1000

procps (1:3.2.7-8) unstable; urgency=low

  * Quote $file in init script and remove weird *.conf directory
    Closes: #474710, #474725

 -- Craig Small <csmall@debian.org>  Tue, 08 Apr 2008 08:34:54 +1000

procps (1:3.2.7-7) unstable; urgency=low

  * Actually apply top patch Closes: #351065
  * Irix mode + thread CPU fix Closes: #459890
  * kill/skill prints error message Closes: #468363
  * rule file changes for nostrip and passing CFLAGS Closes: #468656
  * Duplicate ignore broadcast in sysctl.conf removed Closes: #474406
  * Added IPv6 lines for redirects and source route to sysctl.conf
    Closes: #474431
  * Fixed IPv6 forwarding line in sysctl.conf Closes: #469557, #464150
  * pri field explained in ps.1 Closes: #465761
  * sysct.conf now has TCP/IP instead of TCP.IP again Closes: #463652,
    #463824
  * Added /etc/sysctl.d/ directory for other packages Closes: #370351
  * Added bug presubj for kill Closes: #409118
  * no-heading option documented in ps.1 Closes: #431081

 -- Craig Small <csmall@debian.org>  Mon, 07 Apr 2008 10:01:05 +1000

procps (1:3.2.7-6) unstable; urgency=low

  * Remove procps.sh version check Closes: #459680
  * Added Paolo's patch to fix highlighting cutoffs Closes: #351065
  * Cleaned up sysctl.conf Closes: #447076, #446466, #446989, #446990, #465449
  * Removed missing option from sysctl.conf Closes: #460665
  * Changed to standard version 3.7.3

 -- Craig Small <csmall@debian.org>  Fri, 01 Feb 2008 23:01:28 +1100

procps (1:3.2.7-5) unstable; urgency=low

  * Added headers into vmstat Closes: #436805
  * totpages and pslab removed from vmstat.8 Closes: #436806
  * Conditionally move procps.sh to procps init script Closes: #437063
  * SEE ALSO section in pgrep.1 uses .BR Closes: #437678
  * ipv4 forwarding example fixed Closes: #418804
  * top minimum time adjusted Closes: #298347
  * pgrep.1 patch doesnt add the -c option again Closes: #385621, #431884
  * Fixed minor typo in free.1 Closes: #435540
  * top.1 mentions st steal time Closes: #402478
  * Added some security-enhancing options to sysctl.conf Closes: #324593
  * Updated date on patched man pages as this is their new issue date

 -- Craig Small <csmall@debian.org>  Thu, 04 Oct 2007 22:44:25 +1000

procps (1:3.2.7-4.1) unstable; urgency=low

  * armel porter NMU.
  * DEB_HOST_GNU_SYSTEM != linux-gnu on armel. Check DEB_HOST_ARCH_OS instead.
    Closes: #437613

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Sep 2007 15:55:08 -0400

procps (1:3.2.7-4) unstable; urgency=low

  * top exits with correct code Closes: #341272, #354255
  * sysctl malloc extended by 1 Closes: #423704
  * sysctl.conf has both rp_filter lines Closes: #389395
  * Updated top.c resize patch Closes: #256376
  * Changed /proc message Closes: #292721
  * Correct return code for pgrep Closes: #413383
  * Correct return code for vmstat Closes: #425492
  * init script lost it .sh we dont need it Closes: #343620
  * Adjusted the shlibs so they are more relaxed.

 -- Craig Small <csmall@debian.org>  Wed, 08 Aug 2007 20:27:55 +1000

procps (1:3.2.7-3) unstable; urgency=low

  * Changed init script dependencies Closes: #386637, #386341
  * init script uses lsb logging Closes: #384920

 -- Craig Small <csmall@debian.org>  Wed, 13 Sep 2006 11:27:56 +1000

procps (1:3.2.7-2) unstable; urgency=medium

  * pgrep c option patch works correctly Closes: #375791
  * Made urgency medium as pgrep -c <non-matching> segfaults pgrep

 -- Craig Small <csmall@debian.org>  Wed, 28 Jun 2006 22:28:02 +1000

procps (1:3.2.7-1) unstable; urgency=low

  * New upstream release
  *  Fixed nroff typo in man page Closes: #326517
  *  pgrep/pkill: fix some realloc-related crashes Closes: #353894
  * Using debhelper compat level 5
  * Bumped standards versiob to 3.7.2
  * watch difference check uses 8 bit char Closes: #207103
  * Updated watch file location Closes: #354242
  * Cleaned up init.d script Closes: #294765, #338970
  * init.d script has those lsb dependency thingies Closes: #335320
  * Removed .rej file out of gnu_kbsd patch Closes: #362875
  * Removed duplicate -N option out of sysctl.8 Closes: #364894
  * Explain load average in uptime.1 Closes: #365019
  * Removed empty directories Closes: #359146
  * IPv4/6 sysctl.conf examples fixed Closes: #341087
  * sysctl.8 has optional filename for -p  Closes: #297144
  * top.1 Now has Bold enable=off as default Closes: #293981
  * free.1 documents the -g (gigabytes) flag CloseS: #286900
  * Cleanup man pages Closes: #282168
  * added rollbacks to maint scripts Closes: #374456
  * Updated gnu kbsd patch Closes: #349982
  * Added list of commands to description Closes: #354686
  * Changed copyright, most of it is under LGPL now
  * Move to admin section to stop dinstaller complaining at me
  * Actually apply cpu state top.1 patch Closes: #351998
  * sysctl.conf doesn't mention /etc/network/options Closes: #339788
  * sysctl.conf uses default instead of all for network stuff as networking
    rc is done later Closes: #337019

 -- Craig Small <csmall@debian.org>  Mon, 26 Jun 2006 08:16:19 +1000

procps (1:3.2.6-2.2) unstable; urgency=low

  * NMU
  * Document the copyright of the emacs bindings bit of pgrep in
    debian/copyright (Closes: #362876)

 -- Don Armstrong <don@debian.org>  Sat, 22 Apr 2006 07:45:25 -0700

procps (1:3.2.6-2.1) unstable; urgency=low

  * NMU
  * Use a temporary file for the output of the check_gcc test to avoid
    removing /dev/null on failure. Thanks to Niv Altivanik for the patch.
    (Closes: #336710)

 -- Don Armstrong <don@debian.org>  Sun, 19 Feb 2006 15:48:35 -0800

procps (1:3.2.6-2) unstable; urgency=low

  * properly patched for kfreebsd Closes: #290719

 -- Craig Small <csmall@debian.org>  Wed,  2 Nov 2005 13:58:22 +1100

procps (1:3.2.6-1) unstable; urgency=low

  * New upstream source
  *   ps: man page more detailed Closes: #334682
  *   spelling fixes  Closes: #300333, #334684, #334685
  *   top: crash on resize fixed -- thanks Michal Maruska  Closes: #320289
  *   vmstat: -p handles /dev/ and does not overflow Closes: #319523, #330969
  * CPU states in top man page Closes: #312157, #228899
  * w.bassman finally patched into w Closes: #45937
  * w uses COLUMNS if ioctl fails, eg with pipe Closes: #252799
  * GNU/kFreeBSD Support Closes: #290719
  * Variables that are set are specified on init Closes: #330464
  * sysctl.conf has netbase examples Closes: #331192
  * sysctl.conf example has way to stop console logging Closes: #292834

 -- Craig Small <csmall@debian.org>  Mon, 31 Oct 2005 18:49:07 +1100

procps (1:3.2.5-1) unstable; urgency=low

  * New upstream release
     display problem on 64-bit systems fixed   Closes: #287947
     top: help and version message on stdout, with exit(0) Closes: #283541
     ps: SIGTSTP and SIGTTOU shouldn't print bug email address Closes: #246123
     slabtop: fix overflow on huge NUMA boxes Closes: #264640
     slabtop: accept any slabinfo 2.x format Closes: #287691

 -- Craig Small <csmall@debian.org>  Thu, 27 Jan 2005 11:07:46 +1100

procps (1:3.2.4-1) unstable; urgency=low

  * New upstream release
    ps: tolerate SubDomain security module CONTEXT/LABEL data Closes: #277401
  * init.d doesnt print done when not verbose Closes: #264431
  * init.d script runs sysctl with -q for quiet Closes: #277111
  * sysctl.conf has warning about network overiding varables Closes: #275291

 -- Craig Small <csmall@debian.org>  Wed, 17 Nov 2004 12:56:21 +1100

procps (1:3.2.3-1) unstable; urgency=low

  * New upstream release

 -- Craig Small <csmall@debian.org>  Wed, 18 Aug 2004 13:24:19 +1000

procps (1:3.2.2-2) unstable; urgency=low

  * Missed one more lib64 override. Works on os390 now

 -- Craig Small <csmall@debian.org>  Fri, 30 Jul 2004 21:48:47 +1000

procps (1:3.2.2-1) unstable; urgency=low

  * New upstream release
     pgrep: man page SEE ALSO updated Closes: #226817
     top: try to handle terminals lacking rmam and smam Closes: #235003
  * Upstream now has quiet patch so removing dpatch for it.

 -- Craig Small <csmall@debian.org>  Wed, 28 Jul 2004 16:25:34 +1000

procps (1:3.2.1-2) unstable; urgency=low

  * Fix Makefile patch so it works  with newer patch packages
    Closes: #242574
  * Changed the way SHARED is used in Makefiles
  * init script looks nicer when setting multiple variables Closes: #241721

 -- Craig Small <csmall@debian.org>  Tue, 13 Apr 2004 07:59:25 +1000

procps (1:3.2.1-1) unstable; urgency=low

  * New upstream release
  * Changed init script output Closes: #238567
  * menu item has text quoted

 -- Craig Small <csmall@debian.org>  Thu,  1 Apr 2004 22:53:37 +1000

procps (1:3.2.0-1) unstable; urgency=low

  * New upstream release
    test scripts build on ia-64
    Fix terminal when ^Z top Closes: #228822
    slabtop added Closes: #226778
  * postinst checks for symlink and not file to remove Closes: #234306


 -- Craig Small <csmall@debian.org>  Wed, 25 Feb 2004 16:35:03 +1100

procps (1:3.1.15-3) unstable; urgency=low

  * Removed entry in Makefile for /libc64 so sparc64 builds

 -- Craig Small <csmall@debian.org>  Tue, 17 Feb 2004 11:01:24 +1100

procps (1:3.1.15-2) unstable; urgency=low

  * Removed offending test directory Closes: #227933

 -- Craig Small <csmall@debian.org>  Tue, 20 Jan 2004 10:20:44 +1100

procps (1:3.1.15-1) unstable; urgency=low

  * Now uses dpatch to handle the various patches
  * New upstream release
    - Supports SELINUX flags for kernel v2.6 Closes: #193648
    - Hide kernel PID bug Closes: #217278, #219730, #217525, #224470
    - Fixed top auto-margins problem Closes: #217559
  * Fix top manual page Closes: #225089
  * Patch so SELINUX flags work in v2.4 kernels
  * Extra +s in ps.1 removed Closes: #218220
  * Added patch so sysctl has quiet -q flag Closes: #189100

 -- Craig Small <csmall@debian.org>  Fri, 26 Dec 2003 18:02:59 +1100

procps (1:3.1.14-1) unstable; urgency=low

  * New upstream release

 -- Craig Small <csmall@debian.org>  Wed, 22 Oct 2003 11:59:53 +1000

procps (1:3.1.13-1) unstable; urgency=low

  * New upstream release

 -- Craig Small <csmall@debian.org>  Wed, 24 Sep 2003 16:10:42 +1000

procps (1:3.1.12-1) unstable; urgency=low

  * New upstream release
    ps: $PS_FORMAT works properly Closes: #201575
    man page: /var/run/utmp, not /etc/utmp Closes: #206583
    required flags moved out of CFLAGS Closes: #205429


 -- Craig Small <csmall@debian.org>  Sat, 13 Sep 2003 21:11:09 +1000

procps (1:3.1.11-2) unstable; urgency=low

  * Made shlibs have a specific version Closes: #199118
  * libproc.a is back in libproc-dev, use it
  * Added README to libproc-dev for people who use the library

 -- Craig Small <csmall@debian.org>  Wed, 20 Aug 2003 15:31:59 +1000

procps (1:3.1.11-1) unstable; urgency=low

  * 3.1.11 New upstream version
    - handle GPLONLY_ symbols Closes: #143549, #188374
  * freeproc now defined Closes: #189047
  * warning in readproc.c fixed Closes: #197346
  * Removed optarg and optind defines Closes: #197343
  * Fixed saved_start_time warning Closes: #197342

 -- Craig Small <csmall@debian.org>  Thu, 24 Jul 2003 17:02:36 +1000

procps (1:3.1.9-1) unstable; urgency=low

  * New upstream source
  * memory sizes fixed for 64-bit w/ gcc 3.x Closes: #194376, #191933
  * Doesn't segfault if /proc not mounted Closes: #172735
  * No warning in top about memory key Closes: #188271
  * More info in kill man page Closes: #182414
  * Document the different oO options Closes: #169301
  * Updated stabndards version to 3.5.9
  * Changed disk to backing storage Closes: #175925

 -- Craig Small <csmall@debian.org>  Mon,  2 Jun 2003 02:31:03 +1000

procps (1:3.1.8-1) unstable; urgency=low

  * New upstream release
    watch man page fixed, Closes #182246
  * Changed section for libproc-dev

 -- Craig Small <csmall@debian.org>  Tue,  1 Apr 2003 10:19:05 +1000

procps (1:3.1.6-1) unstable; urgency=low

  * New upstream release
    - watch has --no-title option Closes: #179862
    - ps -C can compare very long names Closes: #178127
  * Fixed descriptions in manual pages Closes: #179046
  * w wont crash if /proc unreadable Closes: #169398

 -- Craig Small <csmall@debian.org>  Sat, 22 Feb 2003 21:33:45 +1100

procps (1:3.1.5-1) unstable; urgency=low

  * New upstream version
    - watch don't drop empty lines Closes: #171005
    - top has old sort keys Closes: #167249
    - now count Inact_laundry as needed Closes: #172163

 -- Craig Small <csmall@debian.org>  Mon,  6 Jan 2003 13:49:32 +1100

procps (1:3.1.3-1) unstable; urgency=low

  * New upstream source

 -- Craig Small <csmall@debian.org>  Fri, 13 Dec 2002 16:16:36 +1100

procps (1:3.1.1-1) unstable; urgency=low

  * New upstream source
    - vmstats reports memort counts Closes: #169774

 -- Craig Small <csmall@debian.org>  Wed,  4 Dec 2002 15:57:13 +1100

procps (1:3.1.0-1) unstable; urgency=low

  * New upstream version
    - vmstat displays IO-wait time instead of bogus "w"
    - when IO-wait hidden, count as idle, not as sys
    - pmap command added (like Sun has)
  * Manual pages cleaned up Closes: #165970, #164481

 -- Craig Small <csmall@debian.org>  Mon, 11 Nov 2002 12:03:46 +1100

procps (1:3.0.5-1) unstable; urgency=low

  * New upstream version
    - top tolerates super-wide displays Closes: #165497
    - ELF note warning gone for some kernels Closes: #165900
    - Fix ps and top man pages a bit, dropped bugs severity.

 -- Craig Small <csmall@debian.org>  Tue, 29 Oct 2002 22:04:36 +1100

procps (1:3.0.4-1) unstable; urgency=low

  * New upstream version
    - ELF note warning removed Closes: #165093, #165343
    - top works for most TERM= settings Closes: #164864, #164956
  * w has FROM column again by default Closes: #165252
  * debhelper dependency version fixed Closes: #165083
  * ps.1 looks a bit better now Closes: #16448

 -- Craig Small <csmall@debian.org>  Mon, 21 Oct 2002 08:30:04 +1000

procps (1:3.0.3-1) unstable; urgency=low

  * New upstream version
    - w works with KOI8 locale Closes: #153043
    - fix top for non-SMP 2.2.xx and 2.0.xx Closes: #164231
    - negative idle time fixed Closes: #126260
    - sysctl handles new vlan interface Closes: #140386
    - vmstat documentation update Closes: #157935, #155684
    - "skill -n blah blah blah" lets you test options Closes: #158630
    - fixed ps --sort crash Closes: #164226
    - vmstat compiles with latest gcc-3.x Closes: #164348
    - bad (int*) cast in top removed Closes: #164468
    - Support new/improved statistics interfaces in 2.5 /proc Closes: #164013
    - top defaults to old layout and sort by pid Closes: #164277
    - rant moved out of top.1 man page Closes: #164520
    - top runs much faster Closes: #87779

 -- Craig Small <csmall@debian.org>  Sat, 12 Oct 2002 21:44:23 +1000

procps (1:3.0.0-2) unstable; urgency=low

  * Fixed pkill and skill, auto* is so broken. Closes: #163940, #163944
  * Moved libproc.so.3 into /lib as it's needed early Closes: #163981,#163899

 -- Craig Small <csmall@debian.org>  Thu, 10 Oct 2002 07:19:45 +1000

procps (1:3.0.0-1) unstable; urgency=low

  * New upstream source Closes: #163698
    - top has SMP Closes: #162316, #62282, #94896, #98277, #117040, #117735
    - SELINUX support Closes: #142892
    - top defaults to signal 15 to kill pids with Closes: #72158
    - 64-bit time reduces the overflow problem  Closes: #82382, #155908
    - "w" program better at determining what a user is doing
      Closes: #88758, 115529
    - oldps is gone Closes: #101917
    - Handles /proc/tty/drivers Closes: #108654, #154046
    - Supports scanf where locale uses , for decimal point Closes: #126873
    - uptime --help now calls itself uptime Closes: #128880
    - ps faster Closes: #147731
    - top calculates screen better Closes: #162296
    - top allows sorts by pid or  swapped memory Closes: #79868, #159446
    - support for s/390 Closes: #126295
    - statm buffer size increased Closes: #145085
    - new top has no typos Closes: #148918
    - new top can handle lots of tasks Closes: #70900
  * Fixed init.d file so it follows policy Closes: #121945

 -- Craig Small <csmall@debian.org>  Tue,  8 Oct 2002 12:29:45 +1000

procps (1:2.0.7-10) unstable; urgency=low

  * Fixes ps crash when system.map is exact multiple of 1024
    Thankyou Colin for the patch! Closes: #109237, #142292

 -- Craig Small <csmall@eye-net.com.au>  Fri, 12 Apr 2002 21:02:04 +1000

procps (1:2.0.7-9) unstable; urgency=low

  * Sanity checking for Number of CPU Closes: #127561, #122617
    This will keep the m68k and ARM boys happy.
  * uptime usage fixed Closes: #138351
  * kill man page NAME updated Closes: #119400
  * Better explanation for load average in uptime(1) Closes: #140902
  * utmp in correct location in w(1) Closes: #115725

 -- Craig Small <csmall@eye-net.com.au>  Mon,  8 Apr 2002 14:18:20 +1000

procps (1:2.0.7-8) unstable; urgency=low

  * Removed -ggdb Closes: #117203

 -- Craig Small <csmall@eye-net.com.au>  Sat, 27 Oct 2001 07:02:38 +1000

procps (1:2.0.7-7) unstable; urgency=low

  * Added os/390 patches Closes: #113494
  * w manpage now gives correct location for utmp Closes: #110723
  * watch wrap-around problem fixed Closes: #111759
  * Programs are compilied -O2 Closes: #108652

 -- Craig Small <csmall@eye-net.com.au>  Wed, 26 Sep 2001 08:08:43 +1000

procps (1:2.0.7-6) unstable; urgency=low

  * Re-fixed command line interpretation Closes: #103101

 -- Craig Small <csmall@eye-net.com.au>  Tue, 10 Jul 2001 17:32:02 +1000

procps (1:2.0.7-5) unstable; urgency=low

  * watch now copys strings better. Closes: #95404, #97948, #99780
  * skill.1 loads tbl Closes: #92242, #67899
  * long usernames are shown Closes: #86205, #94957
  * Remove /etc/rcS.d/S30procps with good ole rm Closes: #92184
  * /etc/init.d/procps.sh calls itself that Closes: #93302
  * Cannot write config in secure mode Closes: #93948

 -- Craig Small <csmall@debian.org>  Sun, 29 Apr 2001 14:55:20 +1000

procps (1:2.0.7-4) unstable; urgency=low

  * watch doesnt crash with long command lines Closes: #88592, #87693
  * bumped up a buffer in a proc read Closes: #85775
  * Now we use 24 hour time Closes: #85640
  * pgrep calls itself pgrep Closes: #86630
  * Corrected symlink in libproc-dev Closes: #87865

 -- Craig Small <csmall@debian.org>  Mon, 19 Mar 2001 10:13:27 +1100

procps (1:2.0.7-3) unstable; urgency=low

  * Conflicts with pgrep, so no more conflicts Closes: #82835
  * Minor fixes to ps.1 manpage Closes: #81921
  * watch highlighs correctly Closes: #77737
  * top wont die with evil HOMEs, Closes: #81452
  * removed reference to suidregister
  * Remore -L reference in kill.1 Closes: #85913

 -- Craig Small <csmall@debian.org>  Thu,  8 Feb 2001 12:44:58 +1100

procps (1:2.0.7-2) unstable; urgency=medium

  * Moved kill back again, dammit why is the makefile so broken
    Closes: #82747
  * Watch uses locale Closes: #82739
  * top's scanf is protected from evil locale problems Closes: #82671, #69128
    (Big thankyou to Guillaume for lending a test account)

 -- Craig Small <csmall@debian.org>  Fri, 19 Jan 2001 09:15:36 +1100

procps (1:2.0.7-1) unstable; urgency=medium

  * New upstream version (010114)
    - Merges 2.0.7 code from RedHat Closes: #80832
    - Made note that Shared memory report will be junk due to kernel
      Closes: #77818
    - Remove html and null stuff from man page Closes: #81920
    - vsize is kB in man page Closes: #82210
    - man pages look better Closes: #70055, #70941
    - vmstat increase Closes: #77886
    - w tries harder to find things Closes: #24531
    - 15 char user names Closes: #71211
  * No HOME overflow in top Closes: 81452
  * Added menu Hints Closes: #80051, #82324


 -- Craig Small <csmall@debian.org>  Wed, 17 Jan 2001 08:57:24 +1100

procps (1:2.0.6-9) unstable; urgency=medium

  * added libncurses5-dev to build-depends, Closes: #67533
  * Put kill back into /bin Closes #67580, #67582
  * Put 2.0.6-7 ps.1 back in Closes: #67451

 -- Craig Small <csmall@debian.org>  Tue, 25 Jul 2000 08:13:21 +1000

procps (1:2.0.6-8) unstable; urgency=low

  * New upstream source:
  *  - sysctl EOF bug fixed Closes: #62877
  *  - stop crashes with unmounted /proc Closes: #63512, #55177
  *  - Versions checking tolerates RH /proc/ksyms Closes: #59798
  *  - Top works better with SMP Closes: #34734, #56547, #59703

 -- Craig Small <csmall@debian.org>  Fri, 14 Jul 2000 22:33:44 +1000

procps (1:2.0.6-7) unstable; urgency=low

  * Fixed missing version Closes: #62207, #62484, #59112
  * Stop crashes with umounted /proc Closes: #63512, #55177
  * Nicer man pages Closes: #63495, #59406
  * Fixed sysctl eof bug Closes: #62877
  * watch wraps properly Closes: #60913
  * watch handles tabs Closes: #46213
  * watch honors locale settings Closes: #63762
  * now versioned replaces line for bsdutils

 -- Craig Small <csmall@debian.org>  Mon, 29 May 2000 13:31:54 +1000

procps (1:2.0.6-6) unstable; urgency=low

  * New patchlevel (000221)
  * ps 'f' ASCII art forest fixed. Closes: #57134, #58644
  * let insane people run ps setuid. Closes: #56701
  * note that kernel 2.3 is now faster. Closes: #49130
  * top with WCHAN was leaking memory. Closes: #58172, #52257, #56889
  * can show current CPU. Closes: #37023
  * w looks better now. Closes: #55952
  * init.d/procps removed if exists. Closes: #55137, #55852
  * Fixed skill/snice man page (thanks man-db maint!) Closes: #53736, #46743
  * Fixed ps man page Closes: #58365

 -- Craig Small <csmall@debian.org>  Wed, 23 Feb 2000 10:31:37 +1100

procps (1:2.0.6-5) unstable; urgency=low

  * New upstream source
  * kill "_R(smp_|smp2gig_|2gig_)?[0-9a-fA-F]{8,}"  Closes: #54394, #53208
  * added type 'S' and scan past machine types  Closes: #54396
  * Fixed w(1) manpage Closes: #54709
  * top now agrees with ps for RSS Closes: #52679

 -- Craig Small <csmall@debian.org>  Tue, 11 Jan 2000 08:23:56 +1100

procps (1:2.0.6-4) unstable; urgency=low

  * procps init.d script quietly dies if not /etc/default/rcS Closes:
    #52839
  * Put the NEWS changelog back in Closes: #52678
  * Fixed that damn Rsmp annoying message bug Closes: #48686
  * Remove /etc/init.d/procps Closes: #53818

 -- Craig Small <csmall@debian.org>  Mon, 20 Dec 1999 11:14:53 +1100

procps (1:2.0.6-3) unstable; urgency=low

  * Patched ps so it complains if you chmod 711 /proc Closes: #52481
  * Did the same for top.
  * Ditto for oldps.
  * Changed and int to a char* Closes: #52482
  * sysctl.conf file references sysctl.conf (5) not 8 Closes: #52385
  * props init.d script changed to procps.sh Closes: #52228

 -- Craig Small <csmall@debian.org>  Mon, 13 Dec 1999 11:57:01 +1100

procps (1:2.0.6-2) unstable; urgency=low

  * Changed psmisc from reccomends to suggests
  * %MEM now works, Closes: #50010 #50055 #50148 #50356
  * top doesn't crash with > 204 processes Closes: #50055
  * Another libproc fd leak fixed Closes: #45398
  * ps silently ignores m and -m for future compatibility Closes: #48308
  * Added a sysctl.conf and other files as suggested Closes: #51098
  * Fix start field instability
  * ps.1 fixed Closes: #35137

 -- Craig Small <csmall@debian.org>  Tue,  7 Dec 1999 14:42:51 +1100

procps (1:2.0.6-1) unstable; urgency=low

  * New upstream
  * sysctl crash fixed, Closes: #49015
  * libproc file descriptor leak fixed, Closes: #45398
  * False positive System.map mismatches killed, Closes: #49047
  * Supports 64 Hz for StrongARM/Shark Closes: #47461
  * pr_time fixed, Closes: #46223
  * libc num cpu workaround back in, Closes: #49039
  * Fixed kill manpage, Closes: #47018
  * This version definitely, absolutely has kill, Closes: #46762


 -- Craig Small <csmall@debian.org>  Fri,  5 Nov 1999 12:46:05 +1100

procps (1:2.0.3-5) unstable; urgency=low

  * Changed conflicts with replaces

 -- Craig Small <csmall@debian.org>  Wed,  6 Oct 1999 14:36:48 +1000

procps (1:2.0.3-4) unstable; urgency=low

  * support SMP systems with versioned kernel modules Closes: #45621, #46465
  * Added kill to this (it is removed from bsdutils).
  * We now need kill manpage, Closes: #46004

 -- Craig Small <csmall@debian.org>  Tue,  5 Oct 1999 10:28:01 +1000

procps (1:2.0.3-3) unstable; urgency=low

  * System.map support for non-i386 Closes: #45592, #45250
  * Do not require /proc/ksyms Closes: #45128, #45132, #45619
  * Alternative w.1 points to the right spot, Closes: #45331
  * Copyright for skill and snice and ps fixed, Closes: #45119

 -- Craig Small <csmall@debian.org>  Tue, 21 Sep 1999 16:31:59 +1000

procps (1:2.0.3-2) unstable; urgency=medium

  * Now with top! Closes: #45106

 -- Craig Small <csmall@debian.org>  Wed, 15 Sep 1999 11:12:34 +1000

procps (1:2.0.3-1) unstable; urgency=low

  * New upstream source
  * Debian personality does m flag Closes: #44832
  * Corrected typo in top.1 Closes: #44836
  * New improved watch Closes: #29970

 -- Craig Small <csmall@debian.org>  Mon, 13 Sep 1999 16:59:16 +1000

procps (1:2.0.2-4) unstable; urgency=high

  * Fixed the nasty ps formatting problem (Bug #40859 #40856 #40839 )

 -- Craig Small <csmall@debian.org>  Wed,  7 Jul 1999 08:41:54 +1000

procps (1:2.0.2-3) unstable; urgency=low

  * New upstream patches/source
  * SMB Hz wierdness fixed (Bug #33023 #33284)
  * non-tty output does not get chopped at 80 columns (bug #36688)
  * BSD personalities set the default selection and output format (bug #36698)
  * Fixed collumn spacing problem (Bug #35309)
  * Work around for borken libs that return 0 processors (Bug #36902)
  * skill now uses process name not command line (Bug #19208)

 -- Craig Small <csmall@debian.org>  Mon,  5 Jul 1999 07:29:47 +1000

procps (1:2.0.2-2) unstable; urgency=low

  * Removed kill and manual page (Bug #36421 #36551 #36375)
  * Put in patch for bogus sysconf return (Bug #36494 #36532 #36581)

 -- Craig Small <csmall@debian.org>  Wed, 28 Apr 1999 09:04:59 +1000

procps (1:2.0.2-1) unstable; urgency=low

  * New upstream version (Bug #34394 #27291 #34250 #34956 #35240 #35247
    #35520 #35756 #34580 )

 -- Craig Small <csmall@debian.org>  Mon, 19 Apr 1999 13:26:48 +1000

procps (1:2.0.0-1) unstable; urgency=low

  * New upstream version (Bug #33083 23347 33462 10556 33266 33371 )


 -- Craig Small <csmall@debian.org>  Mon, 15 Mar 1999 14:21:57 +1100

procps (1:1.9.0-2) unstable; urgency=low

  * top now resumes (Bug #32106 )
  * debhelper text problem fixed in postinst (Bug #32963 #33122 #33003 33117 )
  * oldps and ps now use alternatives (Bug #33083 )
  * ps s format now not ugly (Bug #28266 )
  * watch command line help and man page correct (Bug #31702 )
  * sessreg removed from package (Bug #32294 )
  * ps doesn't display extra spaces (Bug #27799 )
  * top has spaces in command lines again (Bug #33060 )
  * ps now has personality (Bug #22923 #18429 )
  * moved non-free skill and snice to non-free package.

 -- Craig Small <csmall@debian.org>  Tue,  9 Feb 1999 15:10:58 +1100

procps (1:1.9.0-1) unstable; urgency=low

  * New Upstream source

 -- Craig Small <csmall@debian.org>  Thu,  4 Feb 1999 14:48:37 +1100

procps (1:1.2.9-3) unstable; urgency=low

  * Linked to ncurses4

 -- Craig Small <csmall@debian.org>  Fri, 30 Oct 1998 14:13:02 +1100

procps (1:1.2.9-2) unstable; urgency=low

  * top now has spaces in between command lines (Bug #28178 )
  * --version or -V now shows proper version.

 -- Craig Small <csmall@debian.org>  Mon, 26 Oct 1998 08:55:59 +1100

procps (1:1.2.9-1) unstable; urgency=low

  * New upstream version (Bug #27573 )
  * Menu entry changed from System to Menu/System (Bug #27438 )
  * Char variables changed to int for powerpc (Bug #26624 )
  * libproc now nulls allocated structure (Bug #26225 )
  * No longer uses psdevtab (yay!) (Bug #25388 )
  * ps doesn't double space command line parameters (Bug #25306 #24293 )
  * ps now silently ignores g flag for those BSD heads (Bug #24075 )

 -- Craig Small <csmall@debian.org>  Fri,  9 Oct 1998 09:15:11 +1000

procps (1:1.2.7-2) unstable; urgency=low

  * Top can suspend twice (or three times even) (Bug #22997 )
  * Libraries properly built (Bug #20010 )

 -- Craig Small <csmall@debian.org>  Mon,  1 Jun 1998 09:16:09 +1000

procps (1:1.2.7-1) frozen unstable; urgency=high

  * New upstream source, fixes security bug (Bug #21475)

 -- Craig Small <csmall@debian.org>  Thu, 23 Apr 1998 08:04:54 +1000

procps (1:1.2.6-2) unstable; urgency=low

  * Fixed Shared library dependencies (bugs #18388 #18394 18392 )
  * Conflicts with earlier versions of w-bassman (bug #18389 )

 -- Craig Small <csmall@debian.org>  Mon, 23 Feb 1998 09:05:54 +1100

procps (1:1.2.6-1) unstable; urgency=low

  * New upstream source.
  * xload is undiverted (Bug #17102 )
  * ps_fields.7.gz removed (Bug #18090 )
  * Colour patches removed, color-related bugs gone (Bug #18008 #17217 #18090 )
  * POSIX patches removed, cmd line bugs gone (Bug #15537 )
  * w is now an alternative w.procps (Bug #17960 )
  * skill now works with process names (Bug #17087 )
  * ps and top man pages have their field descriptions (Bug #17360 )
  * ps u fixed (Bug #17313 )
  * Source code is no longer FUBAR (Bug #17892 )
  * top now redraws screen after config screen (Bug #11896 )
  * Circular dependency removed (Bug #16966 )
  * top does mess up screens with wrong cmd line (Bug #17230 )
  * top suspends with ctrl-Z  (Bug #16703 )

 -- Craig Small <csmall@debian.org>  Tue, 17 Feb 1998 08:31:21 +1100

procps (1:1.2.5-2) unstable; urgency=low

  * Moved /bin into /bin/ps (Bug #17001 )

 -- Craig Small <csmall@debian.org>  Tue, 13 Jan 1998 07:50:43 +1100

procps (1:1.2.5-1) unstable; urgency=low

  * TTY selection works ( #16724 )
  * top and ps now accept --colour and *_COLOURS
  * xproc copyright file not compressed ( #14491 )
  * All #include <proc/*.h> now #include "proc/*.h" ( #13482 )
  * Copyright doesn't mention psmisc now ( #16704 )
  * Moved ps back into /bin ( #16737  #16705 )
  * New upstream source ( #16795 )

 -- Craig Small <csmall@debian.org>  Mon, 12 Jan 1998 08:35:10 +1100

procps (1:1.2.2-1) unstable; urgency=low

  * New maintainer
  * Updated upstream source to 1.2.2 (instead of 1.2)
  * Merged Helmut's color/command line patches into upstream.
  * Copyright file is not compressed ( #14493 #14415 )
  * psdatabase refreshed when installing ( #10693 )
  * Fixed +/- line in free ( #10785 #10870 #11566 #12027 #12245 #12374 )
  * w collumns corrected ( #10898 #13117 )
  * top saves sort type ( #11553 )
  * Linked to libc6 ( #11725 )
  * top doesn't coredump with S option ( #11855 )
  * skill works with given patch ( #12023 )
  * libproc-dev has proper sym link ( #12697 )
  * top -h doesn't change terminal settings ( #13513 )
  * ps -s has "CAUGHT" not "CATCHED" ( #14342 )
  * ps_colors.7 and ps_fields.7 reformatted ( #14109 #14544 #14545 )
  * ps checks for tty before using colors ( #14596 )
  * top sets stop signal handler later, stopping race ( #14769 )
  * When using POSIX personality, processes show up ( #14780 )
  * top checks for valid term type ( #15807 )
  * xproc now Depends on procps-1.2.*-* ( #10762 #13347 )
  * xproc dependencies fixed ( #12698 )

 -- Craig Small <csmall@debian.org>  Tue, 30 Dec 1997 11:33:54 +1100

procps (1.12.2.1) unstable; urgency=low

  * Non-maintainer release, built for libc6.
  * Added in free.c from new procps version 1.2.3 (from sunsite), seems to
    fix all the problems with free reporting bogus valus.

 -- Joey Hess <joeyh@master.debian.org>  Fri, 24 Oct 1997 13:34:35 -0400

procps (1.12.2) stable unstable; urgency=low

  * fixed meminfo handling again, as the fix wouldn't work on pre-2.1.x
    kernels.
  * fixed free to use the meminfo routines from libproc.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Fri, 13 Jun 1997 22:42:14 +0200

procps (1.12.1) stable unstable; urgency=low

  * fixed several bugs
  * replaced utmp handling to support wrappers.
  * added /proc/meminfo support for 2.1.x kernels.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Tue, 10 Jun 1997 23:59:41 +0200

procps (1.11.6) frozen unstable; urgency=medium

  * psmisc 1.14 : new upstream version (mainly bugfixes)
  * added a lot of new serial device major numbers to the device lookup
    code. Somehow it seems there are new serial devices every other week.
  * fixed a bug in top: broken .toprc may cause a segmentation fault.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sun, 4 May 1997 09:50:30 +0200

procps (1.11.5) frozen unstable; urgency=medium

  * minor changes to make it compile with libc6
  * fix top behaviour on machines having nonstandard NR_TASKS up to 4k
    tasks

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Fri, 18 Apr 1997 02:07:46 +0200

procps (1.11.4) unstable; urgency=medium

  * strip libproc.so from unneeded symbols (Bug# 8311)
  * fixed watch.1 example (Bug# 8169)
  * partly fixed fuser sigsegv core dump (Bug# 8004)
  * menu entries for xproc and procps (Bug# 8325)
  * divertions for xmem and xload. (Bug# 7565)

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sun, 13 Apr 1997 20:55:05 +0200

procps (1.11.3) unstable; urgency=low

  * fixed uptime again, minor Makefile changes

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Fri, 21 Feb 1997 16:22:04 +0100

procps (1.11.2) unstable; urgency=medium

  * fixed typo in ps_fields.7 (Bug#5457)
  * fixed typo in debian/rules (Bug #5585)
  * fixed bug in w introduced in 1.11.1 (Bugs #5489, #5694, #5695, #5705).
  * added support for non-standard serial devices (long overdue - Bug
    #5771).
  * fixed uptime option handling (Bug #6099).
  * fixed top problems with missing/corrupted utmp (Bug #5819).
  * fixed manpage problems (Bug #5936).

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Wed, 19 Feb 1997 18:49:26 +0100

procps (1.11.1) unstable; urgency=low

  * fixed bug in w <username>
  * automatic resize if field length is exceeded. This changed the shared
    library, so popping the major number.
  * fixed numeric WCHAN output on Alphas and stupid bug in ps (again,
    thanks to H. Koenig).
  * fixed top memory statistics for systems with more than 100M memory or
    swap.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Tue, 12 Nov 1996 02:57:18 +0100

procps (1.10.1) unstable; urgency=low

  * merged in ALPHA & Sparc patches
    (from ftp.azstarnet.com:/pub/linux/axp/glibc)
  * fixed ps --deselect/-N for pid lists
  * use shared libs from now on, install shlibs again
  * manpages for libproc
  * static lib compiled without -fPIC
  * added libproc package for development installing libproc headers,
    manpages and static library.
  * fixed PROC_REAL bug when PROC_FILLSTATUS isn't set.
  * fixed color bug in ps --forest
  * added xproc package for xload, xmem, xidle, xcpustate
    (XConsole left out as we use xconsole & klogd on debian)
  * adapted xload manpage for xidle and xmem
  * fixed xmem to cope with newer kernels (where shared pages are counted
    once for each additional reference)
  * fixed top change_fields bug (a field needs 24, not 21 spaces)
  * fixed several Alpha bugs (thanks to Harald Koenig)
  * due to popular demand, the old format for time intervals is back.
    for all program using this, a toggle command line option has been
    provided. The default behaviour depends on the compile time option
    NEW_TIME_DEFAULT (see main Makefile)

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Wed, 23 Oct 1996 21:30:54 +0200

procps (1.09.2) unstable; urgency=low

  * fixed cpu nice % in summary
  * fixed topsetup initialisation in top.h I messed up in last revision
  * fixed pipe output bug
  * fixed --deselect bug in SVR4/POSIX mode

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sun, 20 Oct 1996 13:57:11 +0200

procps (1.09.1) unstable; urgency=low

  * fixed ps -w bug displaying too many empty lines
  * fixed SIGSEGV bug in ps -www
  * fixed bug in top not calculating length of the command/args/env fields
    at the field selection screen in some circumstances.
  * fixed SIGSEGV bug when using environ field

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sat, 12 Oct 1996 07:59:29 +0200

procps (1.09) experimental; urgency=low

  * This is an experimental release of the procps suite. A lot of features have
    been added since the 1.01(a) release:
     - support for both BSD and POSIX (SVR4) style command line options.
     - completely configurable display of information.
     - colour markup of processes exceeding limits or belonging to a user.
    Please take a look at /usr/doc/procps/NEWS and the manpages for a concise
    list. This is how the next upstream release of procps may look
    (i.e. it will  look like this if there is not too much resistance).

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sat, 5 Oct 1996 14:26:57 +0200
